import { DeleteItemInput, DeleteItemOutput, ReturnConsumedCapacity, ReturnItemCollectionMetrics } from 'aws-sdk/clients/dynamodb';
import { Observable } from 'rxjs';
import { ModelConstructor } from '../../../model/model-constructor';
import { DynamoRx } from '../../dynamo-rx';
import { ConditionExpressionDefinitionFunction } from '../../expression/type/condition-expression-definition-function';
import { RequestConditionFunction } from '../../expression/type/request-condition-function';
import { BaseRequest } from '../base.request';
export declare class DeleteRequest<T> extends BaseRequest<T, DeleteItemInput> {
    constructor(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, partitionKey: any, sortKey?: any);
    whereAttribute(attributePath: keyof T): RequestConditionFunction<DeleteRequest<T>>;
    where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): DeleteRequest<T>;
    returnConsumedCapacity(level: ReturnConsumedCapacity): DeleteRequest<T>;
    returnItemCollectionMetrics(returnItemCollectionMetrics: ReturnItemCollectionMetrics): DeleteRequest<T>;
    returnValues(returnValues: 'NONE' | 'ALL_OLD'): DeleteRequest<T>;
    execFullResponse(): Observable<DeleteItemOutput>;
    exec(): Observable<void>;
}
